Eclipse Platform Release 3.7

## org.eclipse.core.databinding
Class ListBinding

    java.lang.Object
      org.eclipse.core.databinding.ValidationStatusProvider
          org.eclipse.core.databinding.Binding
              org.eclipse.core.databinding.ListBinding

    public class ListBinding

extends Binding

Since:
  1.0

Field Summary

Fields inherited from class org.eclipse.core.databinding.Binding
`context`

Fields inherited from class org.eclipse.core.databinding.ValidationStatusProvider
`disposed`

Constructor Summary
`ListBinding(IObservableList target, IObservableList model, UpdateListStrategy targetToModelStrategy, UpdateListStrategy modelToTargetStrategy)`

Method Summary
`void` `dispose()` Disposes of this Binding.
`IObservableValue` `getValidationStatus()`
`protected void` `postInit()` Called by `Binding.init(DataBindingContext)` after adding this binding to the context.
`protected void` `preInit()` Called by `Binding.init(DataBindingContext)` after setting `Binding.context` but before adding this binding to the context.
`void` `updateModelToTarget()` Updates the target's state from the model's state at the next reasonable opportunity.
`void` `updateTargetToModel()` Updates the model's state from the target's state at the next reasonable opportunity.
`void` `validateModelToTarget()` Validates the model's state at the next reasonable opportunity.
`void` `validateTargetToModel()` Validates the target's state at the next reasonable opportunity.

Methods inherited from class org.eclipse.core.databinding.Binding
`getModel, getModels, getTarget, getTargets, init`

Methods inherited from class org.eclipse.core.databinding.ValidationStatusProvider
`isDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListBinding

    public ListBinding(IObservableList target,
                       IObservableList model,
                       UpdateListStrategy targetToModelStrategy,
                       UpdateListStrategy modelToTargetStrategy)

Parameters:
  `target` -
  `model` -
  `modelToTargetStrategy` -
  `targetToModelStrategy` -

Method Detail

### getValidationStatus

    public IObservableValue getValidationStatus()

  Specified by:
    `getValidationStatus` in class `ValidationStatusProvider`
  Returns:
    an `IObservableValue`< `IStatus` > containing the current validation status

### preInit

    protected void preInit()

  Description copied from class: `Binding`
  Called by `Binding.init(DataBindingContext)` after setting `Binding.context` but before adding this binding to the context. Subclasses may use this method to perform initialization that could not be done in the constructor. Care should be taken not to cause any events while running this method.

  Specified by:
    `preInit` in class `Binding`

### postInit

    protected void postInit()

  Description copied from class: `Binding`
  Called by `Binding.init(DataBindingContext)` after adding this binding to the context. Subclasses may use this method to perform initialization that may cause events to be fired, including BindingEvents that are forwarded to the data binding context.

  Specified by:
    `postInit` in class `Binding`

### updateModelToTarget

    public void updateModelToTarget()

  Description copied from class: `Binding`
  Updates the target's state from the model's state at the next reasonable opportunity. There is no guarantee that the state will have been updated by the time this call returns.

  Specified by:
    `updateModelToTarget` in class `Binding`

### updateTargetToModel

    public void updateTargetToModel()

  Description copied from class: `Binding`
  Updates the model's state from the target's state at the next reasonable opportunity. There is no guarantee that the state will have been updated by the time this call returns.

  Specified by:
    `updateTargetToModel` in class `Binding`

### validateModelToTarget

    public void validateModelToTarget()

  Description copied from class: `Binding`
  Validates the model's state at the next reasonable opportunity. There is no guarantee that the validation status will have been updated by the time this call returns.

  Specified by:
    `validateModelToTarget` in class `Binding`

### validateTargetToModel

    public void validateTargetToModel()

  Description copied from class: `Binding`
  Validates the target's state at the next reasonable opportunity. There is no guarantee that the validation status will have been updated by the time this call returns.

  Specified by:
    `validateTargetToModel` in class `Binding`

### dispose

    public void dispose()

  Description copied from class: `Binding`
  Disposes of this Binding. Subclasses may extend, but must call super.dispose().

  Overrides:
    `dispose` in class `Binding`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.